Page MenuHomePhabricator

Add excerpt of edit summary to reverted notification
Closed, ResolvedPublic

Description

In reverted notifications, it would be nice to display (part of) the edit summary of the revert below the notification (in quoted gray text).

One concern I have is that revert summaries are probably going to be generated a lot of the time, so if this ends up rendering "Undo revision 1234567 by Bob, revert to version 123448 by..." most of the time, it may not turn out to be very useful.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Catrope created this task.Dec 17 2015, 10:26 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added a subscriber: Catrope.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 17 2015, 10:26 PM
Catrope triaged this task as Medium priority.Dec 17 2015, 10:58 PM
Catrope set Security to None.

Change 264299 had a related patch set uploaded (by Sbisson):
Display revert edit summary in revert notification body

https://gerrit.wikimedia.org/r/264299

Change 264299 merged by jenkins-bot:
Display revert edit summary in revert notification body

https://gerrit.wikimedia.org/r/264299

Johan added a subscriber: Johan.Feb 4 2016, 10:44 AM

So wmf.11 was reverted and this wasn't included in wmf.12 (right?). It will be in wmf.13?

So wmf.11 was reverted and this wasn't included in wmf.12 (right?). It will be in wmf.13?

According to gerrit it's in wmf.12. I don't know why this ticket isn't flagged for deployment in wmf12... maybe it got confused by the rollback?

Checked in betalabs.
Note: the excerpt does not say it's a summary

jmatazzoni closed this task as Resolved.Feb 17 2016, 10:35 PM